---
id: creating-classes-additional
title: Additional Classes

---
To create additional classes to style elements differently, depending on props or state, add a new class block below default. You can create as many of these as you would like.
```javascript
classes() {
  return {
    ...

    'highlight': {
      label: {
        padding: '2px 4px',
        background: 'rgba(0, 0, 0, .05)',
        boxShadow: 'inset 0 0 0 1px rgba(0, 0, 0, .05)',
        borderRadius: '2px'
      }
    },
    'truncate': {
      label: {
        width: '100%',
        whiteSpace: 'nowrap',
        overflow: 'hidden',
        textOverflow: 'ellipsis'
      }
    },
    'hide-icon': {
      icon: {
        display: 'none'
      }
    }
  }
}
```
